Get geographical locations
curl --request GET \
--url https://api.maalbar.dk/v1/geographical/locations \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/geographical/locations';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "locationListItem_xxxxxxxxxxxx",
"name": "<string>",
"type": "Area",
"parent": {
"publicId": "locationListItem_xxxxxxxxxxxx"
}
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}Geographical Locations
Get geographical locations
Paginated with defaults page=1, pageSize=50
GET
/
geographical
/
locations
Get geographical locations
curl --request GET \
--url https://api.maalbar.dk/v1/geographical/locations \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/geographical/locations';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "locationListItem_xxxxxxxxxxxx",
"name": "<string>",
"type": "Area",
"parent": {
"publicId": "locationListItem_xxxxxxxxxxxx"
}
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}